@import url('https://fonts.googleapis.com/css2?family=Cormorant+Garamond:ital,wght@0,300..700;1,300..700&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

body {
  font-family: 'Poppins', sans-serif;
}

h1, h2, h3, h4, h5 {
  font-family: 'Cormorant Garamond', serif;
}

a {
    text-decoration: none !important;
    color: inherit;
}

.horizontal-scroll {
    height: 100vh;
    overflow: hidden;
    position: relative;
}

.scroll-wrapper {
    height: 100%;
    display: flex;
    width: max-content;
    will-change: transform;
}

.ast-container {
    max-width: 100vw;
    padding: 0;
}

.content-area {
    padding: 0 !important;
    margin: 0 !important;
}

header.entry-header {
    display: none;
}

.panel {
    position: relative;
    width: 100vw;
    height: 100vh;
    box-sizing: border-box;
}

.hero { background-color: #A8BCA1; }
.story { background-color: #C3B091; }
.event-details { background-color: #F1EAD8; }
.rsvp { background-color: #F8F6F2; }

.container {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-template-rows: repeat(1, 1fr);
    gap: 0px;
}

.inner-section {
    position: relative;
    width: 100%;
    height: 100vh;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
}

.hero .detail-section {
    background-image: url('https://wenzelandeloisa.spatialcraft.io/wp-content/uploads/2025/11/Hero-Frame.webp');
    background-repeat: no-repeat;
    background-size: contain;
    background-position: center;
}

.story .detail-section {
    background-image: url('https://wenzelandeloisa.spatialcraft.io/wp-content/uploads/2025/11/Story-Frame.webp');
    background-repeat: no-repeat;
    background-size: contain;
    background-position: center;
}

.event-details .detail-section {
    background-image: url('https://wenzelandeloisa.spatialcraft.io/wp-content/uploads/2025/11/Event-Details-Frame.webp');
    background-repeat: no-repeat;
    background-size: contain;
    background-position: center;
}

.rsvp .detail-section {
    background-image: url('https://wenzelandeloisa.spatialcraft.io/wp-content/uploads/2025/11/RSVP-Frame.webp');
    background-repeat: no-repeat;
    background-size: contain;
    background-position: center;
}

.image-container {
    position: relative;
    height: 100vh;
    width: 100%;
}

.image-container img {
    width: 100%;
    height:100% !important;
    object-fit: cover;
    object-position: top;
}

.map-container{
    width: 100%;
    height: 100%;
}

.map-container iframe {
    border: none;
    width: 100%;
    height: 100%;
}

.common-heading {
    font-family: 'Cormorant Garamond', serif;
    font-size: 40px;
    font-weight: 400;
    color: #3B3B3B;
    text-align: center;
    margin: 0;
    padding: 0;
    margin-bottom: 16px;
}

h3.common-heading {
    font-size: 32px;
}

.common-description {
    font-family: 'Poppins', sans-serif;
    font-weight: 400;
    font-size: 16px;
    color: #3B3B3B;
    text-align: center;
    line-height: 1.4;
    margin-bottom: 12px !important;
    padding: 0;
}

.hero-name {
    font-family: 'Cormorant Garamond', serif;
    font-weight: 300;
    font-size: 96px;
    line-height: 83px;
    color: #3B3B3B;
    text-align: center;
}

.mini-text {
    font-family: 'Poppins', sans-serif;
    font-weight: 400;
    font-size: 12px;
    color: #3B3B3B;
    text-align: center;
    font-style: italic;
}

.footer {
    font-family: 'Poppins', sans-serif;
    font-weight: 400;
    font-size: 20px;
    color: #3B3B3B;
    text-align: center;
}

.btn {
    display: inline-block;
    padding: 14px 40px;
    background: #2B2B2B;
    border-radius: 5px;
    font-family: 'Poppins';
    font-style: normal;
    font-weight: 400;
    font-size: 16px;
    line-height: 24px;
    text-align: center;
    color: #FFFFFF;
    margin-bottom: 12px;
}

.btn:hover {
    background: #3B3B3B;
    color: #FFFFFF;
    text-decoration: none;
}

.date-container {
    margin-bottom: 90px;
}

.hero-name {
    margin-bottom: 56px;
}

.story-heading {
    margin-bottom: 48px;
}

.details-container .upper-section {
    margin-bottom: 64px;
}

.details-container .lower-section {
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.rsvp .inner-section {
    display: flex;
    flex-direction: column;
    gap: 120px;
}

.rsvp .inner-section .text-block p.common-description {
    margin-bottom: 54px !important;
}

.minimal-countdown {
    display: flex;
    align-items: flex-start;
    justify-content: center;
    gap: 20px;
    font-family: 'Poppins', sans-serif;
    color: #333;
    text-align: center;
}

.count-item span {
    font-size: 3rem;
    font-weight: 400;
    display: block;
    line-height: 1;
}

.count-item p {
    font-size: 0.9rem;
    margin-top: 6px;
    color: #555;
}

.dot {
    font-size: 2rem;
    line-height: 1.4;
    color: #555;
    opacity: 0.7;
}

/* Modal overlay */
.modal {
    display: none; /* Hidden by default */
    position: fixed;
    z-index: 999;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow-y: auto;
    background: rgba(0, 0, 0, 0.6);
    backdrop-filter: blur(4px);
    transition: opacity 0.3s ease;
}

/* Modal box */
.modal-content {
    background: #A8BCA1;
    background-image: url('https://wenzelandeloisa.spatialcraft.io/wp-content/uploads/2025/11/Story-Frame-Mobile.webp');
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    color: #3B3B3B;
    border-radius: 10px;
    width: 90%;
    max-width: 600px;
    margin: 10% auto;
    padding: 44px;
    position: relative;
    text-align: center;
    animation: fadeIn 0.3s ease;
}

.sponsors-list{
    list-style-type: none;
    padding: 0 !important;
    margin: 0 !important;
    font-family: 'Montserrat', sans-serif;
}

.modal-content strong {
    display: block;
    font-weight: 600;
    margin-bottom: 12px;
}

.sponsors-list.will-attend {
    margin-bottom: 24px !important;
}

/* Close button */
.close {
    position: absolute;
    right: 20px;
    top: 10px;
    font-size: 24px;
    color: #555;
    cursor: pointer;
    transition: color 0.2s;
}
.close:hover {
    color: #000;
}


@media screen and (max-width: 900px) {
    body {
        overflow-x: hidden;
        overflow-y: auto;
    }

    .horizontal-scroll {
        height: auto;
        overflow: hidden;
        position: relative;
    }

    .scroll-wrapper {
        height: auto;
        display: block;
        width: 100%;
        will-change: auto;
    }

    .panel {
        height: auto;
    }

    .container {
        display: flex;
        flex-direction: column-reverse;
    }

    .inner-section {
        width: 100%;
        height: auto;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        text-align: center;
    }

    .image-container { height: auto; }
    .map-container { height: 100vh; }
    .detail-section { min-height: 100vh; }
}

@media screen and (max-width: 600px) {
    .date-container svg {
        width: 80%;
        height: auto;
    }

    .detail-section {
        padding: 1rem;
    }

    .hero .common-description br {
        display: none;
    }

    .story .detail-section {
        padding: 1rem 4rem;
    }

    .rsvp .inner-section {
        gap: 24px;
    }

    .rsvp .inner-section .text-block p.common-description {
        margin-bottom: 32px !important;
    }

    .minimal-countdown {
        flex-direction: row;
        gap: 12px;
    }

    .hero .detail-section {
        background-image: url('https://wenzelandeloisa.spatialcraft.io/wp-content/uploads/2025/11/Hero-Frame-Mobile.webp');
        background-size: cover;
    }

    .story .detail-section {
        background-image: url('https://wenzelandeloisa.spatialcraft.io/wp-content/uploads/2025/11/Story-Frame-Mobile.webp');
        background-size: cover;
    }

    .event-details .detail-section {
        background-image: url('https://wenzelandeloisa.spatialcraft.io/wp-content/uploads/2025/11/Details-Frame-Mobile.webp');
        background-size: cover;
        padding: 2rem 1rem;
    }

    .rsvp .detail-section {
        background-image: url('https://wenzelandeloisa.spatialcraft.io/wp-content/uploads/2025/11/RSVP-Frame-Mobile.webp');
        background-size: cover;
    }

    .modal-content {
        background-size: cover;
    }
}


